"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactComponentUtils = require("@ciscospark/react-component-utils");

var _react2 = require("@momentum-ui/react");

var styles = {
  "shareItem": "shareItem--3oFsm",
  "fileIcon": "fileIcon--13kPh",
  "meta": "meta--2Uru1",
  "fileInfo": "fileInfo--2nyTd",
  "fileName": "fileName--RaF0r",
  "fileProps": "fileProps--2CSP4",
  "shareActions": "shareActions--3taq9",
  "shareActionItem": "shareActionItem--3dTVX",
  "fileType": "fileType--2jpZQ"
}; // @related-file ./styles.css

var propTypes = {
  file: _propTypes.default.shape({
    displayName: _propTypes.default.string,
    fileSize: _propTypes.default.number,
    mimeType: _propTypes.default.string,
    objectType: _propTypes.default.string
  }).isRequired,
  isPending: _propTypes.default.bool,
  onDownloadClick: _propTypes.default.func.isRequired
};
var defaultProps = {
  isPending: false
};

function ActivityShareFile(props) {
  var file = props.file,
      isPending = props.isPending,
      onDownloadClick = props.onDownloadClick;
  var displayName = file.displayName,
      fileSize = file.fileSize,
      mimeType = file.mimeType,
      objectType = file.objectType;

  function handleDownloadClick() {
    onDownloadClick(file);
  }

  return _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-activity-share-item', styles.shareItem)
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-file-icon', styles.fileIcon)
  }, _react.default.createElement(_react2.Icon, {
    name: "icon-".concat((0, _reactComponentUtils.getFileIcon)(mimeType, 32))
  })), _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-meta', styles.meta)
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-file-info', styles.fileInfo)
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-name', styles.fileName)
  }, displayName), _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-file-props', styles.fileProps)
  }, _react.default.createElement("span", {
    className: (0, _classnames.default)('ciscospark-share-file-size', styles.fileSize)
  }, (0, _reactComponentUtils.bytesToSize)(fileSize)), _react.default.createElement("span", {
    className: (0, _classnames.default)('ciscospark-share-file-type', styles.fileType)
  }, objectType)))), !isPending && _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-item-actions', styles.shareActions)
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('ciscospark-share-action-item', styles.shareActionItem)
  }, _react.default.createElement(_react2.Button, {
    ariaLabel: "Download",
    style: {
      backgroundColor: 'black'
    },
    circle: true,
    onClick: handleDownloadClick,
    size: 32
  }, _react.default.createElement(_react2.Icon, {
    name: "icon-arrow-tail-down_12",
    color: "white"
  })))));
}

ActivityShareFile.propTypes = propTypes;
ActivityShareFile.defaultProps = defaultProps;
var _default = ActivityShareFile;
exports.default = _default;